### Method

# Camel MessageInfo set_mlist

since: 3.24

#### Declaration [src]

    gboolean
    camel_message_info_set_mlist (
      CamelMessageInfo* mi,
      const gchar* mlist
    )

#### Description [src]

Sets mesage list address from the associated message.

This property is considered static, in a meaning that it should not change during the life-time of the `mi`, the same as it doesn’t change in the associated message.

If the `mi` changed, the ‘dirty’ flag and the ‘folder-flagged’ flag are set automatically, unless the `mi` is aborting notifications. There is not emitted folder’s “changed” signal for this `mi`.

Available since: 3.24

Sets property | `Camel.MessageInfo:mlist`

#### Parameters

`mlist`

  Type: `const gchar*`

  A message list address to set.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

Whether the value changed.